## ros-kinetic-controller-manager 0.13.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(controller_manager)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS controller_interface controller_manager_msgs hardware_interface pluginlib)

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

# Declare catkin package
catkin_package(
  DEPENDS Boost
  CATKIN_DEPENDS controller_interface controller_manager_msgs hardware_interface pluginlib
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

add_library(${PROJECT_NAME}
  src/controller_manager.cpp
  include/controller_manager/controller_manager.h
  include/controller_manager/controller_loader_interface.h
  include/controller_manager/controller_loader.h
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

if(catkin_EXPORTED_TARGETS)
  add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
endif()

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)
  add_rostest_gtest(controller_manager_hwi_switch_test
    test/hwi_switch_test.test
    test/hwi_switch_test.cpp
  )
  target_link_libraries(controller_manager_hwi_switch_test ${PROJECT_NAME} ${catkin_LIBRARIES})

endif()

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(PROGRAMS scripts/spawner scripts/unspawner scripts/controller_manager
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

catkin_python_setup()

=== debian/changelog ===
ros-kinetic-controller-manager (0.13.5-1xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Feb 2020 00:00:00 -0000

ros-kinetic-controller-manager (0.13.4-1xenial) xenial; urgency=high

  * Touch up remaining Python2 prints and PEP8
  * Initialize controller_manager node using init_node. Fixes #349 <https://github.com/ros-controls/ros_control/issues/349>
  * Updated for compatibility with Python2 or Python3
  * add minimum required pluginlib version
  * Contributors: Bence Magyar, Daniel Ingram, Mikael Arguedas, Stefan Profanter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-kinetic-controller-manager (0.13.3-1xenial) xenial; urgency=high

  * Introduce shared_ptr typedefs
  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Remove unused imports, comment and executable flag
  * Remove realtime_tools dependency
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-kinetic-controller-manager (0.13.2-1xenial) xenial; urgency=high

  * Fix controller_manager_interface and add unit tests.
  * migrate classloader headers
  * Contributors: Mathias Lüdtke, Yong Li

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-kinetic-controller-manager (0.13.1-1xenial) xenial; urgency=high

  * refactored controller_manager unspawner
  * fix controller_manager list: migrated to new ControllerState with claimed_resources
  * remove debug prints from controller_manager script
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-kinetic-controller-manager (0.13.0-1xenial) xenial; urgency=high

  * Several spawner-related fixes:
  * Remove shutdown_timeout & add deprecation note
  * Remove roslib import
  * Run wait_for_service on object instead of the hardcoded string version
  * Remove wait_for_service and rephrase warning after exception
  * Remove sleep(1) as it causes more problems than what it solves
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-kinetic-controller-manager (0.12.0-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-kinetic-controller-manager (0.11.5-1xenial) xenial; urgency=high

  * Fix misspelling revise message
  * Contributors: Dave Coleman

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-kinetic-controller-manager (0.11.4-1xenial) xenial; urgency=high

  * controller_manager: drop unused inclusion of tinyxml.h
  * Contributors: Dmitry Rozhkov

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-kinetic-controller-manager (0.11.3-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-kinetic-controller-manager (0.11.2-1xenial) xenial; urgency=high

  * to[to.size-1] to to.back()
  * Remove boost from depends declaration to fix cmake warning
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-kinetic-controller-manager (0.11.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-kinetic-controller-manager (0.11.0-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-kinetic-controller-manager (0.10.1-1xenial) xenial; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-kinetic-controller-manager (0.10.0-1xenial) xenial; urgency=high

  * Fix doSwitch execution point
    The doSwitch method needs to be executed in the update() method,  that is, in
    the real-time path, which is where controller switching actually takes place.
  * Introduce prepareSwitch, replacement of canSwitch
  * Deprecate RobotHW::canSwitch
  * Multi-interface controllers
    - C++ API break.
    - Make controller_manager aware of controllers that claim resources from more
    than one hardware interface.
    - Update and extend the corresponding test suite.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-kinetic-controller-manager (0.9.3-1xenial) xenial; urgency=high

  * controller_manager: Add missing rostest dep
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-kinetic-controller-manager (0.9.2-1xenial) xenial; urgency=high

  * Add HW interface switch feature
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-kinetic-controller-manager (0.9.1-1xenial) xenial; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-kinetic-controller-manager (0.9.0-1xenial) xenial; urgency=high

  * Spawner script: adding shutdown timeout to prevent deadlocks
  * Documentation fixes
  * Contributors: Jonathan Bohren, shadowmanos



=== debian/control ===
Source: ros-kinetic-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-controller-interface, ros-kinetic-controller-manager-msgs, ros-kinetic-hardware-interface, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-rostest
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-kinetic-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-interface, ros-kinetic-controller-manager-msgs, ros-kinetic-hardware-interface, ros-kinetic-pluginlib (>= 1.11.2)
Description: The controller manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-controller-manager//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
